#
# spec file for package kdebase-SuSE (Version 0.0.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  audiofile autoconf automake docbook-dsssl-stylesheets docbook_3 fam gettext gpp iso_ent jade_dsl kdebase kdebase-devel kdelibs kdelibs-artsd kdelibs-devel libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libxml2 libz mesa mesa-devel mesasoft qt qt-devel qt-extensions sp sp-devel xf86 xf86glu xf86glu-devel xpm
# usedforbuild    aaa_base aaa_dir audiofile autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils docbook-dsssl-stylesheets docbook_3 e2fsprogs fam file fileutils findutils flex freetype2 gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip iso_ent jade_dsl kbd kdebase kdebase-devel kdelibs kdelibs-artsd kdelibs-devel less libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libtool libxml2 libz m4 make man mesa mesa-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps qt qt-devel qt-extensions rcs readline rpm sendmail sh-utils shadow sp sp-devel strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

Name:         kdebase-SuSE
Copyright:    GPL
Group:        X11/KDE/Base
Summary:      KDE SuSE extension
Requires:     kdebase,susewm,susehelpcenter,susetour
BuildRoot:    /var/tmp/%{name}-buildroot
Version:      0.0.1
Release:      96
Source0:      %{name}-%{version}.tar.bz2
Source1:      kdebase-SuSE-conf.tar.bz2
Source2:      RELEASE_NOTES.en.html
Source3:      RELEASE_NOTES.de.html
Source4:      RELEASE_NOTES.hu.html
Patch0:       SuSEgreeter-czech.dif
Patch1:       SuSEgreeter-hungarian.dif
Patch2:       cvs.dif

%description
The package contains the standard SuSE desktop and menu extensions for the 
KDE panel.

Authors:
--------
    Artwork: 
    Ken W. Wimer <wimer@suse.de> 
    Torsten Rahn <tackat@suse.de> 
     
    Implementation: 
    Adrian Schrter <adrian@suse.de> 
     
    Based on the work from: 
    Rik Hemsley <rik@kde.org> (Web kwin style) 
    Ralf Nolden <nolden@kde.org> (KPersonalizer) 
    

SuSE series: k2de

%prep
%setup -n kdebase-SuSE
%patch0
%patch1
%patch2

%build
rm -f po/*/kpres.po
make -f Makefile.cvs
CXXFLAGS="$RPM_OPT_FLAGS $CXXFLAGS -DNDEBUG  $OPT_LEVEL " ./configure \
  --prefix=/opt/kde2 \
  --disable-debug \
   --mandir=%{_mandir}/ \
  --with-qt-dir=/usr/lib/qt2 \
  
make

%install
[ ${RPM_BUILD_ROOT} != "/" ] && rm -rf ${RPM_BUILD_ROOT}
rm -f ${RPM_BUILD_DIR}/kde%{name}.list
make DESTDIR=$RPM_BUILD_ROOT install-strip
tar xfvpI %SOURCE1 -C "${RPM_BUILD_ROOT}"
mkdir -p "${RPM_BUILD_ROOT}"/usr/share/doc/
install -m 0644 %{SOURCE2} %{SOURCE3} %{SOURCE4} "${RPM_BUILD_ROOT}"/usr/share/doc/

%clean
[ ${RPM_BUILD_ROOT} != "/" ] && rm -rf ${RPM_BUILD_ROOT}
rm -f ${RPM_BUILD_DIR}/kde%{name}.list

%files
%doc /usr/share/doc/RELEASE_NOTES.*.html
/opt/kde2/share/autostart/SuSEgreeter.desktop
/opt/kde2/share/apps/SuSEgreeter/pics/final_epo.png
/opt/kde2/share/config/SuSE/config/SuSE.desktop
/opt/kde2/share/apps/kwin/SuSE.desktop
/opt/kde2/lib/kde2/libkwinSuSE.*
/opt/kde2//lib/kde2/libkcm_SuSEmenu.*
/opt/kde2//share/applnk/Settings/LookNFeel//SuSEmenu.desktop
/opt/kde2/share/locale/*/*
/opt/kde2/bin/*
/opt/kde2/share/apps/kicker/wallpapers/*
/opt/kde2/share/wallpapers/*
%config /opt/kde2/share/config/SuSE/newConfig

%changelog -n kdebase-SuSE
* Wed Oct 17 2001 - adrian@suse.de
- workaround a X server bug with S3 Savage on i386
- workaround a X server bug with ATI(Powerbook) on ppc
- minor face lifting
- add more hungarian translations
* Tue Oct 09 2001 - adrian@suse.de
- add hungarian translations
* Fri Oct 05 2001 - adrian@suse.de
- add hungarian Release Notes
* Thu Sep 27 2001 - kendy@suse.cz
- Added czech translations of the SuSEgreeter
* Wed Sep 26 2001 - adrian@suse.de
- fix it again to use even rc.config settings (brown paper bag)
* Wed Sep 26 2001 - adrian@suse.de
- fix SuSEconfig.customized.kdm2 to use correct values for
  AllowShutdown
* Tue Sep 25 2001 - adrian@suse.de
- update Release Notes again
- fix SuSEconfig.customized.kdm2
  (configure AllowShutdown instead of ShutdownButton) #10978
* Mon Sep 24 2001 - adrian@suse.de
- fix Release Notes
- allow JavaScript on local pages (needed for susetour)
- fix english link to hardware db
* Sat Sep 22 2001 - adrian@suse.de
- fix SuSEconfig for non-easy security mode ("NoStars"->"NoEcho")
- update Release Notes
- activate (X)Willing again in kdmrc template
* Thu Sep 20 2001 - adrian@suse.de
- add Release Notes
- change welcome screen (and fix typos)
- fix kcm-SuSEmenu layout
- fix eyecandy settings for theme
* Tue Sep 18 2001 - adrian@suse.de
- update background pictures from Ken
- remove ksmserverc config (not needed anymore)
- reduce size of greeting window
- fix debug output from SuSEconfig.kdm
* Wed Sep 12 2001 - adrian@suse.de
- set default to lpdunix print system
- fix SuSEconfig.customized.kdm to check for missing X11R6/bin
- add german translation for SuSE greeting
* Tue Sep 11 2001 - adrian@suse.de
- update backgrounds
* Mon Sep 10 2001 - adrian@suse.de
- fix window decoration for small windows
- fix SuSEconfig.customized.kdm script
* Wed Sep 05 2001 - adrian@suse.de
- fix typo in style
- fix broken decoration for big fonts
- add more background pictures for different resolutions
- fix kdm configuration
* Tue Sep 04 2001 - adrian@suse.de
- extend window decoration
- add greeting application
* Mon Sep 03 2001 - adrian@suse.de
- update window manager decoration
* Tue Aug 28 2001 - adrian@suse.de
- initial version. kwin decoration and menu kcm control
